Put Release Asset Manifest
curl --request PUT \
--url https://api.veryfront.com/projects/{project_reference}/releases/{version}/asset-manifest \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schemaVersion": 2,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseVersion": 123,
"manifestVersion": 123,
"builderVersion": "<string>",
"sourceContentHash": "<string>",
"createdAt": "<string>",
"assetBasePath": "<string>",
"modules": {},
"css": [
{
"contentHash": "<string>",
"size": 1,
"contentType": "<string>",
"styleProfileHash": "<string>",
"cssPipelineIdentity": "<string>"
}
],
"routes": {},
"dependencies": {}
}
'import requests
url = "https://api.veryfront.com/projects/{project_reference}/releases/{version}/asset-manifest"
payload = {
"schemaVersion": 2,
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"releaseVersion": 123,
"manifestVersion": 123,
"builderVersion": "<string>",
"sourceContentHash": "<string>",
"createdAt": "<string>",
"assetBasePath": "<string>",
"modules": {},
"css": [
{
"contentHash": "<string>",
"size": 1,
"contentType": "<string>",
"styleProfileHash": "<string>",
"cssPipelineIdentity": "<string>"
}
],
"routes": {},
"dependencies": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schemaVersion: 2,
projectId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
releaseId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
releaseVersion: 123,
manifestVersion: 123,
builderVersion: '<string>',
sourceContentHash: '<string>',
createdAt: '<string>',
assetBasePath: '<string>',
modules: {},
css: [
{
contentHash: '<string>',
size: 1,
contentType: '<string>',
styleProfileHash: '<string>',
cssPipelineIdentity: '<string>'
}
],
routes: {},
dependencies: {}
})
};
fetch('https://api.veryfront.com/projects/{project_reference}/releases/{version}/asset-manifest', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"manifest_version": 123
}Validates and stores the full manifest body, transitioning the manifest to ready.
PUT
/
projects
/
{project_reference}
/
releases
/
{version}
/
asset-manifest
Put Release Asset Manifest
Authorizations
bearerAuthapiKeyAuth
Use a JWT bearer token or a Veryfront API key in the Authorization header.
Path Parameters
Project slug, ID, or other supported project reference.
Release version specifier (e.g. "1.2.3").
Example:
"1.2.3"
Body
application/json
Available options:
2 Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
source, immutable Show child attributes
Show child attributes
⌘I